Bug 1264497 - setting provider name and then type when adding new provider, clears name
setting provider name and then type when adding new provider, clears name
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Aparna Karve
Milan Falešník
:
: 1264792 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 11:24 EDT by Dave Johnson
Modified: 2015-12-08 08:31 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-09-18 11:24:08 EDT
Description of problem:
==============================
Summary says it all, I chose to add a provider, set the name, then selected the type, and it cleared the name, how rude!


Version-Release number of selected component (if applicable):
===============================
5.5.0.1-alpha1


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Dan Clarizio 2015-09-21 13:39:24 EDT
*** Bug 1264792 has been marked as a duplicate of this bug. ***
Comment 4 CFME Bot 2015-10-07 19:10:28 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ee4caea0b18dd299203a535ca67573dea6261885

commit ee4caea0b18dd299203a535ca67573dea6261885
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Mon Oct 5 14:14:09 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Oct 5 14:14:09 2015 -0700

    text_field_tag should reference @edit[:new][:name] for Provider name
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1264497

 app/views/shared/views/ems_common/_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Milan Falešník 2015-11-10 07:37:50 EST
CFME no longer clears the provider name after selecting the provider type as of 5.5.0.9.
Comment 9 errata-xmlrpc 2015-12-08 08:31:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.